<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_policies', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->enum('modul', ['penjaja','tred','anjing']);
            $table->enum('akses', ['jana wang proses','pemeriksaan tapak','ulasan pegawai','ulasan pengarah','kertas kerja mesyuarat', 'keputusan mesyuarat', 'cetak lesen', 'papar laporan', 'edit permohonan', 'tambah pengguna']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_policies');
    }
};
